Subject: Re: git-svn: how to connect SVN branches?

From: Gregory Jefferis <[email-masked]>
Date: Thu, 17 Jan 2008 23:42:53 +0000

Re connecting the two svn histories, there are some similarities to a
situation that I had.  See:

Statement of problem:
http://permalink.gmane.org/gmane.comp.version-control.git/69486

Eventual solution:
http://thread.gmane.org/gmane.comp.version-control.git/69486

Nicely formatted code snippet:
http://pastie.textmate.org/private/pv1n1nbmcmtxnxbq4zd7w

Best,

Greg.

On 17/1/08 20:17, "[email-masked]" <[email-masked]> wrote:

> Hi,
> 
> The project I'm tracking changed servers a couple months ago.  To simulate
> the svn-switch, I edited the svn-remote.url to the new location.  `git-svn
> fetch`, `git-svn dcommit`, and the like seemed to work ok.
> 
> When a new release branch came out, I tried adding
> svn-remote.branches = releases/*:refs/remotes/svn/*
> 
> `git-svn fetch` pulled the new branch.  However, it created a whole new
> history for this branch (new git commits from the beginning of the SVN
> repo).
> 
> Is there some way to tell git/git-svn to connect these two histories?
> 
> Pictorially, I have
> 
> SVN1@a---SVN2@a---SVN3@b---SVN4@b---SVNtrunk
> SVN1@b---SVN2@b---SVN3@b---SVN4@b---SVNbranch
> 
> and want
> 
> SVN1@a---SVN2@a---SVN3@b---SVN4@b---SVNtrunk
>                                   \--SVNbranch
> 
> Similarly, if someone cloned a git repo full of git-svn-id's (which
> indicate that an svn --switch occurred) but without any matching git-svn
> data, is there a way to `git-svn fetch` from the new SVN repo and
> autoconnect the git commits?
> 
> Thanks,
> Daniel
> -
> To unsubscribe from this list: send the line "unsubscribe git" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html